<%@ Page Language="VB" enableviewstate="true"%>
<script runat="server">

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
        if not IsPostback then
            Dim ds As New System.Data.DataSet
            ds.ReadXml(Server.MapPath("miofile.xml"))
        
            Dim zNumero As Int16 = Request.QueryString("num")
            Dim zPag As Int16 = Request.QueryString("pag")
            Dim zRecords As Int16 = ds.Tables(0).Rows.Count
        
            If zNumero <> 0 Then
                DropDownList1.Items.FindByValue(Request.QueryString("num")).Selected = True ' posiziono il combo sul valore scelto
                linkAvanti.NavigateUrl = Request.Url.LocalPath & "?num=" & zNumero & "&pag=" & zPag + 1
                linkAvanti.Visible = (zRecords - 1) >= (zPag + 1) * zNumero ' if sottointeso
                LinkIndietro.NavigateUrl = Request.Url.LocalPath & "?num=" & zNumero & "&pag=" & zPag - 1
                LinkIndietro.Visible = zPag <> 0 ' if sottointeso
            Else
                linkAvanti.Visible = False
                LinkIndietro.Visible = False
            End If
                
            Dim arr As New ArrayList
            For i As Integer = zPag * zNumero To zPag * zNumero + zNumero - 1
                If i <= zRecords - 1 Then arr.Add(ds.Tables(0).Rows(i))
            Next

            DataList1.DataSource = arr
            DataList1.DataBind()
        end if
    End Sub
    
    
    Sub LinkButton1_Click(sender As Object, e As EventArgs)
        Response.Redirect(Request.Url.LocalPath & "?num=" & DropDownList1.SelectedValue & "&pag=0")
    End Sub

</script>
<html>
<head>
    <title>WebForm4</title>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <p>
            Messaggi&nbsp;per pagina 
            <asp:dropdownlist id="DropDownList1" runat="server" Width="48px">
                <asp:ListItem Value="1">1</asp:ListItem>
                <asp:ListItem Value="2">2</asp:ListItem>
                <asp:ListItem Value="3">3</asp:ListItem>
                <asp:ListItem Value="5">5</asp:ListItem>
                <asp:ListItem Value="10">10</asp:ListItem>
            </asp:dropdownlist>
            &nbsp; 
            <asp:linkbutton id="LinkButton1" onclick="LinkButton1_Click" runat="server">applica</asp:linkbutton>
        </p>
        <p>
            <asp:DataList id="DataList1" runat="server" Width="100%" BorderWidth="1px" BorderStyle="None" BorderColor="#CC9966" BackColor="White" CellPadding="4" GridLines="Both">
                <SelectedItemStyle font-bold="True" forecolor="#663399" backcolor="#FFCC66"></SelectedItemStyle>
                <HeaderTemplate>
                    - Messaggi - 
                </HeaderTemplate>
                <ItemStyle font-size="12px" font-names="Tahoma" forecolor="#330099" backcolor="White"></ItemStyle>
                <ItemTemplate>
                    <p>
                        <asp:label id="lbl1" runat="server" ForeColor="Chocolate" Font-Size="Smaller" Font-Bold="True">
                            <%# DataBinder.Eval(Container, "DataItem(2)") %> 
                        </asp:label>
                        <br />
                        <asp:Label id="LblTesto" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem(3)") %>'></asp:Label>
                        <br />
                        <asp:Label id="lblUser" style="FONT-SIZE: 10px; COLOR: gray; FONT-FAMILY: Tahoma" runat="server">
                            <%# "[" & DataBinder.Eval(Container, "DataItem(1)") & " " & DataBinder.Eval(Container, "DataItem(0)") & "]" %> 
                        </asp:Label>
                    </p>
                </ItemTemplate>
                <FooterStyle forecolor="#330099" backcolor="#FFFFCC"></FooterStyle>
                <HeaderStyle font-names="Arial" font-bold="True" horizontalalign="Right" forecolor="#FFFFCC" backcolor="#990000"></HeaderStyle>
            </asp:DataList>
        </p>
        <asp:hyperlink id="LinkIndietro" runat="server">Indietro</asp:hyperlink>
        &nbsp; 
        <asp:HyperLink id="linkAvanti" runat="server">Avanti</asp:HyperLink>
        <p>
        </p>
    </form>
</body>
</html>
